using System;

internal sealed class Delegate476 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate476 delegate476_1)
	{
		return delegate476_1(object_0);
	}

	public extern Delegate476(object object_0, IntPtr intptr_0);

	static Delegate476()
	{
		Class10.smethod_13(typeof(Delegate476).TypeHandle);
	}

	internal static Delegate476 delegate476_0;
}
